Foxit PDF SDK

Public Member Functions | List of all members
foxit.pdf.objects.PDFDictionaryArray Class Reference
Inheritance diagram for foxit.pdf.objects.PDFDictionaryArray:

## Public Member Functions
bool | Add (PDFDictionary newElement)
| Add an element at the tail. Potentially growing the array. More...
int | Find (PDFDictionary data, int iStart)
| Find an element from specified position to last. More...
PDFDictionary | GetAt (int nIndex)
| This method retrieves an element specified by an index number. More...
int | GetSize ()
| Get the number of elements in the array. More...
int | GetUpperBound ()
| Get the upper bound in the array, actually the maximum valid index. More...
void | RemoveAll ()
| Clean up the array. More...
bool | RemoveAt (int nIndex, int nCount)
| Remove a number of elements at specified position. More...
bool | SetAt (int nIndex, PDFDictionary newElement)
| This method overwrites an element specified by an index number. More...
bool | SetAtGrow (int nIndex, PDFDictionary newElement)
| Set an element value at specified position. Potentially growing the array. More...
bool | SetSize (int nNewSize, int nGrowBy)
| Change the allocated size and the grow amount. More...

## Detailed Description

This class represents an array of foxit.pdf.objects.PDFDictionary objects.

## Member Function Documentation

## ◆ Add()

bool foxit.pdf.objects.PDFDictionaryArray.Add | ( | PDFDictionary | newElement | ) |
| inline

Add an element at the tail. Potentially growing the array.

Parameters

  [in] | newElement | The input element.

Returns
  true means success, while false means failure (such as memory error).

## ◆ Find()

int foxit.pdf.objects.PDFDictionaryArray.Find | ( | PDFDictionary | data,
|  | int | iStart
| ) |  |
| inline

Find an element from specified position to last.

Parameters

  [in] | data | The input element.
  [in] | iStart | Specifies the zero-based index of start element to find.

Returns
  An index of the found element. -1 means found none.

## ◆ GetAt()

PDFDictionary foxit.pdf.objects.PDFDictionaryArray.GetAt | ( | int | nIndex | ) |
| inline

This method retrieves an element specified by an index number.

Parameters

  [in] | nIndex | Specifies the zero-based index of the element.

Returns
  An element.

## ◆ GetSize()

int foxit.pdf.objects.PDFDictionaryArray.GetSize | ( |  | ) |
| inline

Get the number of elements in the array.

Returns
  The number of elements in the array.

## ◆ GetUpperBound()

int foxit.pdf.objects.PDFDictionaryArray.GetUpperBound | ( |  | ) |
| inline

Get the upper bound in the array, actually the maximum valid index.

Returns
  The upper bound.

## ◆ RemoveAll()

void foxit.pdf.objects.PDFDictionaryArray.RemoveAll | ( |  | ) |
| inline

Clean up the array.

Returns
  None.

## ◆ RemoveAt()

bool foxit.pdf.objects.PDFDictionaryArray.RemoveAt | ( | int | nIndex,
|  | int | nCount
| ) |  |
| inline

Remove a number of elements at specified position.

Parameters

  [in] | nIndex | Specifies the zero-based index in the array.
  [in] | nCount | Specifies the count of element to remove.

Returns
  true means success, while false means failure (such as parameter or memory error).

## ◆ SetAt()

bool foxit.pdf.objects.PDFDictionaryArray.SetAt | ( | int | nIndex,
|  | PDFDictionary | newElement
| ) |  |
| inline

This method overwrites an element specified by an index number.

Parameters

  [in] | nIndex | Specifies the zero-based index of the element.
  [in] | newElement | An element.

Returns
  true means success, while false means failure.

## ◆ SetAtGrow()

bool foxit.pdf.objects.PDFDictionaryArray.SetAtGrow | ( | int | nIndex,
|  | PDFDictionary | newElement
| ) |  |
| inline

Set an element value at specified position. Potentially growing the array.

Parameters

  [in] | nIndex | Specifies the zero-based index of element in the array.
  [in] | newElement | The input element.

Returns
  true means success, while false means failure.

## ◆ SetSize()

bool foxit.pdf.objects.PDFDictionaryArray.SetSize | ( | int | nNewSize,
|  | int | nGrowBy
| ) |  |
| inline

Change the allocated size and the grow amount.

Parameters

  [in] | nNewSize | The new size in elements expected.
  [in] | nGrowBy | The grow amount in elements expected. This can be -1 for the grow amount unchanged.

Returns
  true means success, while false means failure (such as parameter or memory error).